Skip to main content
POST
Query AI Assistant by ID

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

assistantId
string
required

Unique identifier of the AI assistant to query.

Body

application/json

Simple AI Assistant query with just a message.

message
string
required

User message an AI assistant receives.

Example:

"Hello, what can you help me with?"

useSharedHistory
boolean
default:false

Indicates whether to use shared conversation history. Can only be used with Phonovation AI agents.

sessionId
string

Session ID to maintain context across multiple queries.

Example:

"session-12345"

returnContexts
boolean
default:false

Flag to indicate whether to return the contexts used in generating the response.

Response

AI Assistant response retrieved successfully

response
string
required

Ai Assistant answer.

context
QueryAiAssistantApiResponseContext · object

Ai Assistant context used for generating the answer.